=== auxprogs/Makefile ===
# Makefile for auxprogs

all:
	cd aln2wig; make;
	cd bam2hints; make;
	cd compileSpliceCands; make;
	cd filterBam; make;
	cd homGeneMapping; make;
	cd joingenes; make;
	cd utrrnaseq/Debug; make all;
	cd bam2wig; make;

clean:
	cd aln2wig; make clean;
	cd bam2hints; make clean;
	cd compileSpliceCands; make clean;
	cd filterBam; make clean;
	cd homGeneMapping; make clean;
	cd joingenes; make clean;
	cd utrrnaseq/Debug; make clean;
	cd bam2wig; make clean;
