=== auxprogs/filterBam/Makefile ===
#	Makefile for filterBam.cc and filterBam.tex
#
# 	Created: 28-February-2012
#	Last modified: 09-May-2018

all: 
	(cd src;make)

clean:
	(cd src; make clean;)
