=== debian/changelog ===
augustus (3.4.0+dfsg2-2) unstable; urgency=medium

  * Fix dversionmangle to allow for +dfsgX suffixes.
  * Run tests without --compare. This hopefully fixes FTBFS due to different
    results on different platforms, not matching the reference.

 -- Sascha Steinbiss <satta@debian.org>  Sun, 03 Jan 2021 16:10:48 +0100

augustus (3.4.0+dfsg2-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sascha Steinbiss ]
  * Remove obsolete directories from Files-Excluded.
  * Re-introduce tutorials in orig tarball.
  * Add Suggests for dependencies of the scripts bundled with AUGUSTUS.
  * Add/remove some content to be installed.
  * Extend doc-base files.
  * Add some new build-deps and remove old libbam-dev build-dep.
  * Remove Build-Using mechanics for libbam-dev.
  * Use patches prepared by upstream.
  * Adjust changelog location.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 28 Dec 2020 22:33:43 +0100

augustus (3.3.3+dfsg-4) unstable; urgency=medium

  * Drop conflicting build-dep on libcurl4-nss-dev.
    Closes: 971792
  * Use debhelper 13.
  * Add Rules-Requires-Root: no.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 07 Oct 2020 13:20:31 +0200

augustus (3.3.3+dfsg-3) unstable; urgency=medium

  * Use debhelper-compat.
  * Bump Standards-Version.
  * Add EDAM and citations (Thanks Matúš Kalaš).
  * Do yamllint on metadata (Thanks Steffen Moeller).

 -- Sascha Steinbiss <satta@debian.org>  Fri, 17 Apr 2020 11:31:53 +0200
