=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export AUGUSTUS_CONFIG_PATH=$(CURDIR)/config
.PHONY: bam2hints homGeneMapping joingenes

%:
	dh $@

bin:
	mkdir -p bin

aln2wig: bin
		$(MAKE) -C auxprogs/aln2wig

bam2hints: bin
	$(MAKE) -C auxprogs/bam2hints

bam2wig: bin
		$(MAKE) -C auxprogs/bam2wig

compileSpliceCands: bin
	$(MAKE) -C auxprogs/compileSpliceCands

filterBam: bin
	$(MAKE) -C auxprogs/filterBam

homGeneMapping: bin
	$(MAKE) -C auxprogs/homGeneMapping/src

joingenes: bin
	$(MAKE) -C auxprogs/joingenes

override_dh_auto_clean:
	$(MAKE) -C auxprogs/bam2hints clean
	$(MAKE) -C auxprogs/homGeneMapping clean
	$(MAKE) -C auxprogs/joingenes clean
	$(MAKE) -C auxprogs/aln2wig clean
	$(MAKE) -C auxprogs/bam2wig clean
	$(MAKE) -C auxprogs/compileSpliceCands clean
	$(MAKE) -C auxprogs/filterBam clean
	rm -rf bin
	rm -f debian/*substvars
	rm -f debian/mansrc/*.1
	find . -name "__pycache__" | xargs -r rm -r
	find src -name "*.o" | xargs -r rm
	find auxprogs -name "*.o" | xargs -r rm
	rm -f auxprogs/utrrnaseq/Debug/utrrnaseq src/augustus src/etraining src/fastBlockSearch src/getSeq src/load2db src/load2sqlitedb src/pp_simScore src/prepareAlign

override_dh_auto_build: aln2wig bam2hints bam2wig compileSpliceCands filterBam homGeneMapping joingenes
	dh_auto_build
	asciidoctor -a docdate='' -b manpage --destination-dir=debian/mansrc/ mansrc/*adoc

override_dh_installchangelogs:
	dh_installchangelogs -k docs/HISTORY.TXT

override_dh_auto_install:
	mkdir -p         debian/augustus/usr/bin
	install bin/*    debian/augustus/usr/bin
	install auxprogs/bam2wig/bam2wig \
	                 debian/augustus/usr/bin
	install auxprogs/compileSpliceCands/compileSpliceCands \
                     debian/augustus/usr/bin
	install auxprogs/homGeneMapping/src/homGeneMapping \
                     debian/augustus/usr/bin
	install auxprogs/joingenes/joingenes \
	                 debian/augustus/usr/bin
	mkdir -p         debian/augustus/usr/share/augustus
	cp -r scripts    debian/augustus/usr/share/augustus
	chmod -R -x      debian/augustus/usr/share/augustus/scripts/*
	rm -rf           debian/augustus/usr/share/augustus/scripts/*.patch \
	                 debian/augustus/usr/share/augustus/scripts/executeTestCGP.py \
	                 debian/augustus/usr/share/augustus/scripts/*.txt
	chmod +x         debian/augustus/usr/share/augustus/scripts/checkUTR \
	                 debian/augustus/usr/share/augustus/scripts/*.pl*
	mkdir -p         debian/augustus-doc/usr/share/doc/augustus
	cp README*       debian/augustus-doc/usr/share/doc/augustus
	cp docs/*.txt    debian/augustus-doc/usr/share/doc/augustus
	cp docs/RUNNING* debian/augustus-doc/usr/share/doc/augustus
	cp docs/README*  debian/augustus-doc/usr/share/doc/augustus
	cp docs/EXONCAND-MSAS-CGP.md \
	                 debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial \
	                 debian/augustus-doc/usr/share/doc/augustus
	cp -r docs/tutorial-cgp \
	                 debian/augustus-doc/usr/share/doc/augustus
	mkdir -p         debian/augustus-data/usr/share/augustus
	cp -r config     debian/augustus-data/usr/share/augustus
	find             debian/augustus-data/usr/share/augustus \
	  -type f -exec chmod -x {} \;

override_dh_compress:
	dh_compress -Xtutorial
