=== debian/changelog ===
augustus (3.5.0+dfsg-4build7) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Mar 2025 10:41:12 -0500

augustus (3.5.0+dfsg-4build6) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:18:24 +0200

augustus (3.5.0+dfsg-4build5) noble; urgency=medium

  * No change rebuild against fixed libmysql++3t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 16 Apr 2024 10:51:14 +0200

augustus (3.5.0+dfsg-4build4) noble; urgency=high

  * No change rebuild against libmysql++3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:58:12 +0200

augustus (3.5.0+dfsg-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:33:14 +1100

augustus (3.5.0+dfsg-4build2) noble; urgency=high

  * No change rebuild against libhts3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:49:22 +0100

augustus (3.5.0+dfsg-4build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:46:05 +0100

augustus (3.5.0+dfsg-4) unstable; urgency=medium

  * Ensure multiple builds can be done in same directory.
    Done by ensuring the directory is cleaned correctly.
    Closes: #1043915

 -- Sascha Steinbiss <satta@debian.org>  Sat, 18 Nov 2023 08:21:25 +0100

augustus (3.5.0+dfsg-3) unstable; urgency=medium

  * Add patch to fix building with GCC 13.
    Addresses: #1037585

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Jun 2023 18:33:10 +0200

augustus (3.5.0+dfsg-2) unstable; urgency=medium

  * Skip filterBam auxprogs test on s390x.

 -- Sascha Steinbiss <satta@debian.org>  Mon, 21 Nov 2022 00:11:53 +0100

augustus (3.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Cleanup d/copyright from unused Files-Excluded
  * Standards-Version: 4.6.1 (routine-update)
  * Remove RUNPATH from binaries
  * lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Mon, 10 Oct 2022 09:16:46 +0200

augustus (3.4.0+dfsg2-3) unstable; urgency=medium

  * Fix watchfile to work with recent GitHub link structure.

 -- Sascha Steinbiss <satta@debian.org>  Tue, 28 Sep 2021 22:14:24 +0200
