=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                liblpsolve55-dev,
                libbamtools-dev,
                libbz2-dev,
-               lzma-dev,
                libhts-dev,
                libncurses5-dev,
                libboost-serialization-dev,
@@ -19,8 +18,9 @@
                libmysql++-dev,
                asciidoctor,
                python3,
-               samtools
-Standards-Version: 4.5.1
+               samtools,
+               chrpath
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/augustus
 Vcs-Git: https://salsa.debian.org/med-team/augustus.git
@@ -56,6 +56,7 @@
 Package: augustus-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: data files for AUGUSTUS
  This package contains pre-trained species models and other required
  architecture-independent data files for the AUGUSTUS gene finder. These are
@@ -65,6 +66,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: documentation files for AUGUSTUS
  This package contains documentation for AUGUSTUS: a comprehensive manual-style
  README both for AUGUSTUS in general as well as for its comparative gene
